Page MenuHomePhabricator

CX should default to using restbase, not parsoid-lb
Closed, ResolvedPublic1 Story Points

Description

The ContentTranslation endpoint sets it's default parsoid URL to parsoid-lb.eqiad, but this service is due to be decommissioned.

It should default to accessing html2wt services via RESTBase and the public rest.wikimedia.org endpoint.

git grep parsoid-lb in the content translation extension to find the affected default.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterCX: Use ContentTranslationRESTBase
mediawiki/extensions/ContentTranslation : masterCX should default to using rest.wm.o, not parsoid-lb
mediawiki/services/cxserver : masterCX should default to using rest.wm.o, not parsoid-lb
operations/puppet : productionCX should default to using rest.wm.o, not parsoid-lb

Event Timeline

cscott created this task.Sep 4 2015, 8:09 PM
cscott raised the priority of this task from to Needs Triage.
cscott updated the task description. (Show Details)
cscott added a project: ContentTranslation.
cscott added a subscriber: cscott.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2015, 8:09 PM
cscott updated the task description. (Show Details)
cscott set Security to None.
Amire80 triaged this task as Normal priority.Sep 5 2015, 2:40 PM
Amire80 moved this task from Backlog to Tech Debt on the ContentTranslation-Release6 board.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 7:15 AM

Change 252773 had a related patch set uploaded (by Arlolra):
T111562: CX should default to using rest.wm.o, not parsoid-lb

https://gerrit.wikimedia.org/r/252773

Change 252786 had a related patch set uploaded (by Arlolra):
T111562: CX should default to using rest.wm.o, not parsoid-lb

https://gerrit.wikimedia.org/r/252786

Change 252773 had a related patch set uploaded (by KartikMistry):
CX should default to using rest.wm.o, not parsoid-lb

https://gerrit.wikimedia.org/r/252773

Change 252786 had a related patch set uploaded (by KartikMistry):
CX should default to using rest.wm.o, not parsoid-lb

https://gerrit.wikimedia.org/r/252786

Change 254151 had a related patch set uploaded (by KartikMistry):
CX should default to using rest.wm.o, not parsoid-lb

https://gerrit.wikimedia.org/r/254151

I've also submitted patch for Puppet config for this. Thanks for cxserver/CX patches, @Arlolra

Change 254151 abandoned by KartikMistry:
CX should default to using rest.wm.o, not parsoid-lb

https://gerrit.wikimedia.org/r/254151

Change 252773 abandoned by Arlolra:
CX should default to using rest.wm.o, not parsoid-lb

Reason:
Per Santhosh's -1

https://gerrit.wikimedia.org/r/252773

santhosh moved this task from In Review to QA on the LE-CX7-Sprint 3 board.Nov 24 2015, 9:16 AM

Change 252786 merged by jenkins-bot:
CX should default to using rest.wm.o, not parsoid-lb

https://gerrit.wikimedia.org/r/252786

Change 255102 had a related patch set uploaded (by KartikMistry):
CX: Use ContentTranslationRESTBase

https://gerrit.wikimedia.org/r/255102

santhosh edited a custom field.Nov 27 2015, 4:06 AM
Arrbee moved this task from Backlog to In Progress on the LE-CX7-Sprint 4 board.Dec 2 2015, 6:14 AM

Change 255102 merged by jenkins-bot:
CX: Use ContentTranslationRESTBase

https://gerrit.wikimedia.org/r/255102

KartikMistry moved this task from In Review to QA on the LE-CX7-Sprint 4 board.Dec 8 2015, 4:11 PM
Arrbee moved this task from QA to Done on the LE-CX7-Sprint 4 board.Dec 9 2015, 7:10 AM
KartikMistry closed this task as Resolved.Dec 21 2015, 6:32 AM
KartikMistry removed a project: Patch-For-Review.